Subject: Re: bug#58334: 29.0.50; ASAN heap use after free in gui_produce_glyphs

From: Gerd Möllmann <[email-masked]>
Date: Thu, 6 Oct 2022 20:36:22 +0200

On 22-10-06 20:30 , Eli Zaretskii wrote:
> Actually, I no longer think this will help, because redisplay_internal
> sets inhibit_free_realized_faces to zero at the beginning...

Yeah, I've seen the specbind right now.

> Any way of figuring out which face is it that triggers the ASAN?  Is
> it one of the basic faces, or some non-basic face?

I'm afraid no.  What about the idea to additionally check for inhibited 
GC?  That is, free faces only if not imhibit_free and not imhibit_gc?